#!/usr/bin/env bash
# shellcheck disable=SC2034

edition="$(basename $(pwd))"
date_tag=$(date +%Y.%m.%d)
iso_name="Melawy-Linux"
iso_label="Me_$(date --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" +%Y%m%d)"
iso_publisher="Melawy Linux <https://melawy.ru>"
iso_application="Melawy Linux Live/Rescue DVD"
iso_version="$(date --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" +%Y.%m.%d)"
install_dir="arch"
buildmodes=('iso')
quiet="n"
work_dir="../work_${edition}"
out_dir="../sf/${edition}-${date_tag}"
## GRUB
bootmodes=('bios.syslinux.mbr' 'bios.syslinux.eltorito' 'uefi-ia32.grub.esp' 'uefi-x64.grub.esp' 'uefi-ia32.grub.eltorito' 'uefi-x64.grub.eltorito')
## systemd-boot
#bootmodes=('bios.syslinux.mbr' 'bios.syslinux.eltorito' 'uefi-x64.systemd-boot.esp' 'uefi-x64.systemd-boot.eltorito')
arch="x86_64"
pacman_conf="pacman_sys.conf"
airootfs_image_type="squashfs"
airootfs_image_tool_options=('-comp' 'xz' '-Xbcj' 'x86' '-b' '1M' '-Xdict-size' '1M')
bootstrap_tarball_compression=('zstd' '-c' '-T0' '--auto-threads=logical' '--long' '-19')
file_permissions=(
  ["/etc/gshadow"]="0:0:400"
  ["/etc/polkit-1/rules.d"]="0:0:750"
  ["/etc/shadow"]="0:0:400"
  ["/etc/sudoers.d"]="0:0:750"
  ["/etc/sudoers.d/g_wheel"]="0:0:440"
  ["/root"]="0:0:750"
  ["/root/.automated_script.sh"]="0:0:755"
  ["/root/.gnupg"]="0:0:700"
  ["/usr/bin/GPU-Intel-installer"]="0:0:755"
  ["/usr/local/bin/Installation_guide"]="0:0:755"
  ["/usr/local/bin/calamares-offline"]="0:0:755"
  ["/usr/local/bin/calamares-online"]="0:0:755"
  ["/usr/local/bin/choose-mirror"]="0:0:755"
  ["/usr/local/bin/connection-checker"]="0:0:755"
  ["/usr/local/bin/copy-refind-theme_v1"]="0:0:755"
  ["/usr/local/bin/copy-refind-theme_v2"]="0:0:755"
  ["/usr/local/bin/create-pacman-keyring"]="0:0:755"
  ["/usr/local/bin/dmcheck"]="0:0:755"
  ["/usr/local/bin/fix-keys"]="0:0:755"
  ["/usr/local/bin/livecd-sound"]="0:0:755"
  ["/usr/local/bin/online-install-nvidia-drivers"]="0:0:755"
  ["/usr/local/bin/remove-ucode"]="0:0:755"
  ["/usr/local/bin/remove-unneeded"]="0:0:755"
  ["/usr/local/bin/update-mirrorlist"]="0:0:755"
)
